<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: logger  LogMsg   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Logger Widget&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_logger.html">logger</a>
                 &gt; LogMsg 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>LogMsg</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        The LogMsg class defines a single log message.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>LogMsg</strong>
                                <code>
                                    (
  
                                        
                                                
                                                oConfigs
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>oConfigs
                                                    &lt;Object&gt; 
                                                    </code>
                                                      Object literal of configuration params.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="category">category</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Log category.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="msg">msg</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Log message.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="source">source</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Log source. The first word passed in as the source argument.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="sourceDetail">sourceDetail</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Log source detail. The remainder of the string passed in as the source argument, not
including the first word (if any).
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="time">time</a>
                                        <code>- Date</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Log timestamp.
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>









			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class="selected"><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class="selected"><a href="LogMsg.html">LogMsg</a></li>
                                <li class=""><a href="LogReader.html">LogReader</a></li>
                                <li class=""><a href="LogWriter.html">LogWriter</a></li>
                                <li class=""><a href="YAHOO.widget.Logger.html">YAHOO.widget.Logger</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Logger.js.html">Logger.js</a></li>
                                <li class=""><a href="LogMsg.js.html">LogMsg.js</a></li>
                                <li class=""><a href="LogReader.js.html">LogReader.js</a></li>
                                <li class=""><a href="LogWriter.js.html">LogWriter.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#category">category</a>
                                        <!--<code>&lt;Date&gt;</code>-->
                                </li>
                                <li><a href="#msg">msg</a>
                                        <!--<code>&lt;Date&gt;</code>-->
                                </li>
                                <li><a href="#source">source</a>
                                        <!--<code>&lt;Date&gt;</code>-->
                                </li>
                                <li><a href="#sourceDetail">sourceDetail</a>
                                        <!--<code>&lt;Date&gt;</code>-->
                                </li>
                                <li><a href="#time">time</a>
                                        <!--<code>&lt;Date&gt;</code>-->
                                </li>
                        </ul>
                    </div>




            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
